Endpoint Groups
Resources
Recent and saved resource APIs for personalized navigation and activity tracking.
List recent resourcesGET
/resources/recent
Lists the authenticated principal's recent UUID-backed resources for personalized navigation.
Operation ID
listRecentResourcesQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
List saved resourcesGET
/resources/saved
Lists the authenticated principal's saved UUID-backed resources.
Operation ID
listSavedResourcesQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Save resourcePOST
/resources/saved
Saves a UUID-backed resource for the authenticated principal.
Operation ID
createSavedResourceRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Delete saved resourceDELETE
/resources/saved/{resourceType}/{resourceKey}
Removes a saved resource for the authenticated principal.
Operation ID
deleteSavedResourcePath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
resourceKey |
string |
true |
- |
resourceType |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |